From b2ddfbc1c7b935cf931b4c336969b65947270ce9 Mon Sep 17 00:00:00 2001
From: Felix Fietkau <nbd@nbd.name>
Date: Fri, 29 Jul 2016 20:58:14 +0200
Subject: [PATCH] dnsmasq: drop --interface and --except-interface options when
 the interface cannot be found

Signed-off-by: Felix Fietkau <nbd@nbd.name>
---
 package/network/services/dnsmasq/files/dnsmasq.init | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

diff --git a/package/network/services/dnsmasq/files/dnsmasq.init b/package/network/services/dnsmasq/files/dnsmasq.init
index 54cb0ebfc8..2b81a61bcc 100644
--- a/package/network/services/dnsmasq/files/dnsmasq.init
+++ b/package/network/services/dnsmasq/files/dnsmasq.init
@@ -119,12 +119,12 @@ append_ipset() {
 }
 
 append_interface() {
-	network_get_device ifname "$1"
+	network_get_device ifname "$1" || return
 	xappend "--interface=$ifname"
 }
 
 append_notinterface() {
-	network_get_device ifname "$1"
+	network_get_device ifname "$1" || return
 	xappend "--except-interface=$ifname"
 }
 
-- 
GitLab